This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1029072 - demo user is not created because of syntax error in provision.pp module
demo user is not created because of syntax error in provision.pp module
Status: CLOSED NOTABUG
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: RHOS Maint
Nir Magnezi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 10:37 EST by Jakub Libosvar
Modified: 2013-11-14 08:02 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-14 08:02:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Packstack logs (9.96 KB, application/gzip)
2013-11-11 10:37 EST, Jakub Libosvar
no flags Details

  None (edit)
Description Jakub Libosvar 2013-11-11 10:37:21 EST
Created attachment 822476 [details]
Packstack logs

Description of problem:
In packstack answer file is enabled demo user:
CONFIG_PROVISION_DEMO=y
but after packstack successfully finishes installation, demo user is missing in keystone:
# keystone user-list
+----------------------------------+---------+---------+-------------------+
|                id                |   name  | enabled |       email       |
+----------------------------------+---------+---------+-------------------+
| 0075d604af1a49ff9ac84a9ac507ea17 |  admin  |   True  |   test@test.com   |
| 7175c5bfbe8f4c91863792fda22db26a |  cinder |   True  |  cinder@localhost |
| 2e504da688fe45ea9b6af3923db0bed6 |  glance |   True  |  glance@localhost |
| 566f04b839164b3fa0afe5b10837551a |   nova  |   True  |   nova@localhost  |
| 9c752a5de5204e0c834a95107b6c37c5 | quantum |   True  | quantum@localhost |
+----------------------------------+---------+---------+-------------------+

Possible culprit is error in module provision

# cat /var/tmp/packstack/20131111-153113-KB8IM8/manifests/10.34.62.164_provision.pp.log 
Syntax error at '['; expected ']' at /var/tmp/packstack/a2a22670cc1140f090013ae1fd9cf893/modules/openstack/manifests/provision.pp:170 on node localhost.localdomain


Version-Release number of selected component (if applicable):
openstack-packstack-2013.1.1-0.31.dev696.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install openstack allinone using packstack with CONFIG_PROVISION_DEMO=y

Actual results:
demo user and tenant are missing

Expected results:
demo user and tenant are created in the system

Additional info:
Comment 1 Jakub Libosvar 2013-11-14 08:02:26 EST
Updating puppet to puppet-2.7.23-1.el6.noarch fixed the issue.

Note You need to log in before you can comment on or make changes to this bug.